function demo_quadratura1

% demo per paragonare la regola dei trapezi e di Cavalieri Simpson.

% integranda 
f=@(x) 1./(1+x);

% intervallo di integrazione
a=0; b=1;

% risultato esatto
sol=log(2);

% regola dei trapezi
S_T=((b-a)/2)*(f(a)+f(b));

% regola di Cavalieri-Simpson
c=(a+b)/2; % punto medio
S_CS=((b-a)/6)*(f(a)+4*f(c)+f(b));

% display risultati ed errori assoluti
fprintf('\n \t Integrale esatto: %1.15e',sol);
fprintf('\n \t Regola dei Trap.: %1.15e',S_T);
fprintf('\n \t Regola di Ca.Si.: %1.15e',S_CS);
fprintf('\n ')
fprintf('\n \t Err.Ass.Trap. : %1.15e',abs(sol-S_T));
fprintf('\n \t Err.Ass.Ca.Si.: %1.15e',abs(sol-S_CS));
fprintf('\n \n')