function demo_quadratura2

% demo per paragonare la regola dei trapezi e di Cavalieri Simpson.

% integranda 
f=@(x) 1./(1+x);

% intervallo di integrazione
a=0; b=1;

% risultato esatto
sol=log(2);

% formula dei trapezi composta
N=10; % scegliere numero pari
[x,w]=trapezi_composta(N,a,b);
S_T=sum(w.*f(x));

% formula di Cavalieri-Simpson composta
N=N/2;
[x,w]=cavalieri_simpson_composta(N,a,b);
S_CS=sum(w.*f(x));

% display risultati ed errori assoluti
fprintf('\n \t Integrale esatto: %1.15e',sol);
fprintf('\n \t Regola dei Trap.: %1.15e',S_T);
fprintf('\n \t Regola di Ca.Si.: %1.15e',S_CS);
fprintf('\n ')
fprintf('\n \t Err.Ass.Trap. : %1.15e',abs(sol-S_T));
fprintf('\n \t Err.Ass.Ca.Si.: %1.15e',abs(sol-S_CS));
fprintf('\n \n')